Subject: Re: [PATCH v3 0/4] Signed push

From: Ted Ts'o <[email-masked]>
Date: Sat, 10 Sep 2011 15:22:25 -0400

On Sat, Sep 10, 2011 at 09:30:29AM -0700, Junio C Hamano wrote:
> Sverre Rabbelier <[email-masked]> writes:
> 
> > I think this is also some further motivation to have a
> 
> Did you miss that I already mentioned that workaround?  It does not _fix_
> the fundamental breakage, which is that you are _forcing_ the sending side
> to keep copies, though.

I guess I'm confused about what the problem is with this?

If I do something like this:

git tag -s -m for_linus-20110910 for_linus-20110910
git push github
git push --tags github

I'm "forcing" the sending side to keep the signed tag, no?  Isn't that
kind of implicit in allowing someone to push to your repo?

     		    	     	     	     	- Ted